> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Query StockAdjustments.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/StockAdjustments
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/StockAdjustments:
    get:
      tags:
        - StockAdjustments
      summary: Query StockAdjustments.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/StockTransactionsQueryResponseDTODynamicQueryPagedDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/StockTransactionsQueryResponseDTODynamicQueryPagedDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/StockTransactionsQueryResponseDTODynamicQueryPagedDTO
components:
  schemas:
    StockTransactionsQueryResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/StockTransactionsQueryResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    StockTransactionsQueryResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        transactionNumber:
          type: string
        transactionType:
          type: string
        completedAt:
          type: string
          format: date-time
        tag:
          type: string
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/StockTransactionLineItemsQueryResponseDTO'
      additionalProperties: false
    StockTransactionLineItemsQueryResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        productName:
          type: string
        sku:
          type: string
        lostAmount:
          type: integer
          format: int32
        foundAmount:
          type: integer
          format: int32
        putInQuarantineAmount:
          type: integer
          format: int32
        releaseFromQuarantineAmount:
          type: integer
          format: int32
      additionalProperties: false
      required:
        - foundAmount
        - id
        - lostAmount
        - putInQuarantineAmount
        - releaseFromQuarantineAmount
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````